import { z } from '@mongodb-js/compass-user-data';
export declare const PipelineSchema: z.ZodEffects<z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    namespace: z.ZodString;
    comments: z.ZodOptional<z.ZodBoolean>;
    autoPreview: z.ZodOptional<z.ZodBoolean>;
    collationString: z.ZodOptional<z.ZodString>;
    host: z.ZodOptional<z.ZodNullable<z.ZodString>>;
    pipelineText: z.ZodString;
    lastModified: z.ZodOptional<z.ZodEffects<z.ZodNumber, Date, number>>;
}, "strip", z.ZodTypeAny, {
    id: string;
    name: string;
    namespace: string;
    pipelineText: string;
    comments?: boolean | undefined;
    autoPreview?: boolean | undefined;
    collationString?: string | undefined;
    host?: string | null | undefined;
    lastModified?: Date | undefined;
}, {
    id: string;
    name: string;
    namespace: string;
    pipelineText: string;
    comments?: boolean | undefined;
    autoPreview?: boolean | undefined;
    collationString?: string | undefined;
    host?: string | null | undefined;
    lastModified?: number | undefined;
}>, {
    id: string;
    name: string;
    namespace: string;
    pipelineText: string;
    comments?: boolean | undefined;
    autoPreview?: boolean | undefined;
    collationString?: string | undefined;
    host?: string | null | undefined;
    lastModified?: Date | undefined;
}, unknown>;
export type SavedPipeline = z.output<typeof PipelineSchema>;
//# sourceMappingURL=pipeline-storage-schema.d.ts.map